Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations
GETVIP OperationsSince 4.7.21SynchronousAuth Required

CheckVipPortAvailability

CheckVipPortAvailability

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • vipUuidStringRequired

    The VIP UUID.

  • protocolTypeStringRequired

    The protocol type.

  • portintRequired

    The port to be queried.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • availablebooleanRequired

    Java内置数据类型

Endpoint

GET/zstack/v1/vips/{vipUuid}/check-port-availability

/zstack/v1/vips/{vipUuid}/check-port-availability

Operation ID

CheckVipPortAvailability

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vips/{vipUuid}/check-port-availability' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"vipUuid":"<vipUuid>","protocolType":"<protocolType>","port":1}'

Response Example

200
{ "available":true }

Change History

This API has no change history records yet.

View all change history